<section class="content" ng-controller="CalculatorCtrl as cCtrl">
	<div class="row">
		<value-box grid="col-md-3 col-md-offset-3 col-xs-12" color-class="{{ cCtrl.colorWorked }}" icon-class="fa fa-clock-o"
			value="{{ cCtrl.worked}}" text="Total Trabalhado"></value-box>

		<value-box grid="col-md-3 col-xs-12" color-class="{{ cCtrl.colorBalance }}" icon-class="fa fa-clock-o"
			value="{{ cCtrl.balance }}" text="Saldo"></value-box>
	</div>
	<div role="form">
		<div class="box-body col-md-offset-3" align="center">
			<div class="col-md-2 col-xs-12">
				<div class="form-group">
					<label for="begin">{{ cCtrl.begin.label }}</label>
					<input id="begin" class="form-control" type="text" placeholder="{{ cCtrl.begin.placeholder }}"
						ng-model="cCtrl.begin.value" ui-time-mask="short"></input>
				</div>
			</div>
			<div class="col-md-2 col-xs-12">
				<div class="form-group">
					<label for="lunchBegin">{{ cCtrl.lunchBegin.label }}</label>
					<input id="lunchBegin" class="form-control" type="text" placeholder="{{ cCtrl.lunchBegin.placeholder }}"
						ng-model="cCtrl.lunchBegin.value" ng-change="cCtrl.calculateLunchEnd()" ui-time-mask="short"></input>
				</div>
			</div>
			<div class="col-md-2 col-xs-12">
				<div class="form-group">
					<label for="lunchEnd">{{ cCtrl.lunchEnd.label }}</label>
					<input id="lunchEnd" class="form-control" type="text" placeholder="{{ cCtrl.lunchEnd.placeholder }}"
						ng-model="cCtrl.lunchEnd.value" ng-change="cCtrl.calculateEnd()" ui-time-mask="short"></input>
				</div>
			</div>
			<div class="col-md-2 col-xs-12">
				<div class="form-group">
					<label for="end">{{ cCtrl.end.label }}</label>
					<input id="end" class="form-control" type="text" placeholder="{{ cCtrl.end.placeholder }}"
						ng-model="cCtrl.end.value" ui-time-mask="short"></input>
				</div>
			</div>
		</div>
		<div class="box-footer" align="center">
			<button class="btn btn-primary" ng-click="cCtrl.calculate()">Calcular</button>
		</div>
	</div>
</section>